> ## Documentation Index
> Fetch the complete documentation index at: https://developer.supernotes.app/llms.txt
> Use this file to discover all available pages before exploring further.

#  Get Pins

> Get the authenticated user's pins



## OpenAPI

````yaml get /v1/user/pins
openapi: 3.1.0
info:
  title: supernotes
  description: The Supernotes API – a modern and fast API for quick card creation
  version: 3.2.1
servers: []
security: []
paths:
  /v1/user/pins:
    get:
      tags:
        - user
      summary: ' Get Pins'
      description: Get the authenticated user's pins
      operationId: _get_pins_v1_user_pins_get
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                properties:
                  '[card_id]':
                    $ref: '#/components/schemas/TransformedCardResponse'
                propertyNames:
                  format: uuid
                type: object
                title: Response  Get Pins V1 User Pins Get
      security:
        - APIKeyHeader: []
components:
  schemas:
    TransformedCardResponse:
      properties:
        data:
          $ref: '#/components/schemas/ExtendedCardDataResponse'
        membership:
          $ref: '#/components/schemas/ExtendedCardMembershipResponse'
        backlinks:
          items:
            type: string
          type: array
          title: Backlinks
        parents:
          properties:
            '[card_id]':
              $ref: '#/components/schemas/ExtendedCardParentResponse'
          propertyNames:
            format: uuid
          type: object
          title: Parents
      type: object
      required:
        - data
        - membership
        - backlinks
        - parents
      title: TransformedCardResponse
    ExtendedCardDataResponse:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        owner_id:
          type: string
          format: uuid
          title: Owner Id
        name:
          type: string
          title: Name
        markup:
          type: string
          title: Markup
        html:
          type: string
          title: Html
        ydoc:
          type: string
          title: Ydoc
        icon:
          anyOf:
            - type: string
            - type: 'null'
          title: Icon
        tags:
          items:
            type: string
          type: array
          title: Tags
        color:
          anyOf:
            - $ref: '#/components/schemas/CoreColor'
            - type: 'null'
        created_when:
          type: string
          format: date-time
          title: Created When
        modified_when:
          type: string
          format: date-time
          title: Modified When
        modified_by_id:
          type: string
          format: uuid
          title: Modified By Id
        synced_when:
          type: string
          format: date-time
          title: Synced When
        targeted_when:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Targeted When
        meta:
          additionalProperties:
            anyOf:
              - type: string
              - type: integer
              - type: number
              - type: boolean
          type: object
          title: Meta
        daily_date:
          anyOf:
            - type: string
            - type: 'null'
          title: Daily Date
        h3_index:
          anyOf:
            - type: string
            - type: 'null'
          title: H3 Index
        link_cache:
          anyOf:
            - additionalProperties:
                type: string
              type: object
            - type: 'null'
          title: Link Cache
        comment_count:
          type: integer
          title: Comment Count
        likes:
          type: integer
          title: Likes
        member_count:
          type: integer
          title: Member Count
        public_child_count:
          type: integer
          title: Public Child Count
      type: object
      required:
        - id
        - owner_id
        - name
        - markup
        - html
        - ydoc
        - icon
        - tags
        - color
        - created_when
        - modified_when
        - modified_by_id
        - synced_when
        - targeted_when
        - meta
        - daily_date
        - h3_index
        - link_cache
        - comment_count
        - likes
        - member_count
        - public_child_count
      title: ExtendedCardDataResponse
    ExtendedCardMembershipResponse:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        liked:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Liked
        personal_tags:
          items:
            type: string
          type: array
          title: Personal Tags
        personal_color:
          anyOf:
            - $ref: '#/components/schemas/CoreColor'
            - type: 'null'
        perms:
          $ref: '#/components/schemas/Role'
        via_type:
          $ref: '#/components/schemas/MembershipCreatedVia'
        via_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Via Id
        created_when:
          type: string
          format: date-time
          title: Created When
        modified_when:
          type: string
          format: date-time
          title: Modified When
        enrolled_when:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Enrolled When
        opened_when:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Opened When
        auto_publish_children:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Auto Publish Children
        view:
          anyOf:
            - $ref: '#/components/schemas/StoredViewData'
            - type: 'null'
        flash_memory:
          anyOf:
            - $ref: '#/components/schemas/FlashMemory'
            - type: 'null'
        visibility:
          $ref: '#/components/schemas/Visibility'
        status:
          $ref: '#/components/schemas/Status'
        total_child_count:
          type: integer
          title: Total Child Count
        share_link_count:
          type: integer
          title: Share Link Count
      type: object
      required:
        - id
        - liked
        - personal_tags
        - personal_color
        - perms
        - via_type
        - via_id
        - created_when
        - modified_when
        - enrolled_when
        - opened_when
        - auto_publish_children
        - view
        - flash_memory
        - visibility
        - status
        - total_child_count
        - share_link_count
      title: ExtendedCardMembershipResponse
    ExtendedCardParentResponse:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        owner_id:
          type: string
          format: uuid
          title: Owner Id
        parent_id:
          type: string
          format: uuid
          title: Parent Id
        child_id:
          type: string
          format: uuid
          title: Child Id
        created_when:
          type: string
          format: date-time
          title: Created When
        publishing_perms:
          anyOf:
            - $ref: '#/components/schemas/Role'
            - type: 'null'
        archived:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Archived
        parent_membership_status:
          $ref: '#/components/schemas/Status'
      type: object
      required:
        - id
        - owner_id
        - parent_id
        - child_id
        - created_when
        - publishing_perms
        - archived
        - parent_membership_status
      title: ExtendedCardParentResponse
    CoreColor:
      enum:
        - blue
        - green
        - orange
        - pink
        - purple
        - red
        - yellow
      title: CoreColor
      type: string
    Role:
      enum:
        - -1
        - 0
        - 1318
        - 1382
        - 1398
        - 4094
        - 8190
      title: Role
      type: integer
    MembershipCreatedVia:
      type: integer
      enum:
        - 1
        - 2
        - 3
        - 4
      title: MembershipCreatedVia
    StoredViewData:
      properties:
        display_type:
          $ref: '#/components/schemas/ViewLayout'
        sort_type:
          $ref: '#/components/schemas/SortType'
        sort_ascending:
          title: Sort Ascending
          type: boolean
        broadsheet_cols:
          anyOf:
            - type: integer
            - type: 'null'
          default: null
          title: Broadsheet Cols
        broadsheet_full_width:
          anyOf:
            - type: boolean
            - type: 'null'
          default: null
          title: Broadsheet Full Width
        attempt_card_match:
          anyOf:
            - type: boolean
            - type: 'null'
          default: null
          title: Attempt Card Match
        card_sizing:
          anyOf:
            - $ref: '#/components/schemas/CardSizing'
            - type: 'null'
          default: null
        map_position:
          anyOf:
            - type: string
            - type: 'null'
          default: null
          title: Map Position
      required:
        - display_type
        - sort_type
        - sort_ascending
      title: StoredViewData
      type: object
    FlashMemory:
      properties:
        due:
          title: Due
          type: integer
        stability:
          title: Stability
          type: number
        difficulty:
          title: Difficulty
          type: number
        elapsed_days:
          title: Elapsed Days
          type: integer
        scheduled_days:
          title: Scheduled Days
          type: integer
        reps:
          title: Reps
          type: integer
        lapses:
          title: Lapses
          type: integer
        state:
          $ref: '#/components/schemas/MemoryReviewState'
        last_review:
          anyOf:
            - type: integer
            - type: 'null'
          default: null
          title: Last Review
      required:
        - due
        - stability
        - difficulty
        - elapsed_days
        - scheduled_days
        - reps
        - lapses
        - state
      title: FlashMemory
      type: object
    Visibility:
      enum:
        - -1
        - 0
        - 1
      title: Visibility
      type: integer
    Status:
      enum:
        - -2
        - -1
        - 0
        - 1
        - 2
      title: Status
      type: integer
    ViewLayout:
      enum:
        - 1
        - 2
        - 4
        - 5
        - 6
      title: ViewLayout
      type: integer
    SortType:
      enum:
        - 1
        - 2
        - 3
        - 4
        - 5
        - 6
        - 7
        - 8
        - 9
        - 10
        - 11
        - 12
      title: SortType
      type: integer
    CardSizing:
      enum:
        - 1
        - 2
        - 3
      title: CardSizing
      type: integer
    MemoryReviewState:
      enum:
        - 0
        - 1
        - 2
        - 3
      title: MemoryReviewState
      type: integer
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: Api-Key

````